|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStylePlugin Class Reference

The QStylePlugin class provides an abstract base for custom QStyle plugins. More...

    #include <QStylePlugin>

Part of the QtGui module.

Inherits QObject.

- List of all members, including inherited members

### Public Functions

- QStylePlugin ( QObject * parent = 0 )
- ~QStylePlugin ()
- virtual QStyle * create ( const QString & key ) = 0
- virtual QStringList keys () const = 0

- 28 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 4 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The QStylePlugin class provides an abstract base for custom QStyle plugins.

The style plugin is a simple plugin interface that makes it easy to create custom styles that can be loaded dynamically into applications with a QStyleFactory.

Writing a style plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and create(), and exporting the class with the Q_EXPORT_PLUGIN() macro.

See also How to Create Qt Plugins.

## Member Function Documentation

### QStylePlugin::QStylePlugin ( QObject * parent = 0 )

Constructs a style plugin with parent parent. This is invoked automatically by the Q_EXPORT_PLUGIN() macro.

### QStylePlugin::~QStylePlugin ()

Destroys the style plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

### QStyle * QStylePlugin::create ( const QString & key ) `[pure virtual]`

Creates and returns a QStyle object for the style key key. The style key is usually the class name of the required style.

Reimplemented from QStyleFactoryInterface.

See also keys().

### QStringList QStylePlugin::keys () const `[pure virtual]`

Returns the list of style keys this plugin supports.

These keys are usually the class names of the custom styles that are implemented in the plugin.

Reimplemented from QFactoryInterface.

See also create().